// circulo.h - Declaración de la clase círculo
#if !defined( _CIRCULO_H_ )
#define _CIRCULO_H_

class Circulo
{
  private:
    class Punto
    {
      private:
        double x, y;
      public:
        Punto(double cx = 0, double cy = 0) { x = cx; y = cy; }
        double X() const { return x; }
        double Y() const { return y; }
    };
    Punto centro; // coordenadas del centro
    double radio; // radio del círculo

  protected:
    void msgEsNegativo() const;
  public:
    Circulo() {} // constructor sin parámetros
    Circulo(double cx, double cy, double r); // constructor
    double longCircunferencia() const;
    double areaCirculo() const;
    void coordenadasCentro(double& x, double& y) const;
};

#endif // _CIRCULO_H_

